import { onMounted as a, openBlock as s, createElementBlock as i, normalizeClass as p, renderSlot as n } from "vue";
import { l as c } from "./index2.js";
const m = {
  __name: "SFilterWrap",
  props: {
    labelWidth: {
      type: Number,
      default: 70
    },
    type: {
      type: String,
      default: "filter"
    }
  },
  setup(r) {
    const e = r;
    return a(() => {
      document.querySelectorAll(".filter-item .label").forEach((t) => {
        t.style.width = e.labelWidth + "px";
      }), e.type && e.type === "filter-more" && document.querySelectorAll(".filter-more .filter-item").forEach((o) => {
        o.style.marginBottom = "10px";
      });
    }), (l, t) => (s(), i("div", {
      class: p(["filter-wrap", e.type])
    }, [
      n(l.$slots, "default", {}, void 0, !0)
    ], 2));
  }
}, u = /* @__PURE__ */ c(m, [["__scopeId", "data-v-25ebb4b6"]]);
export {
  u as default
};
